Create a CUBIX bank account
curl --request POST \
--url https://api-sandbox.circle.com/v1/businessAccount/banks/cubix \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"idempotencyKey": "ba943ff1-ca16-49b2-ba55-1057e70ca5c7",
"accountId": "ff2212d7-8476-4d1e-9d95-eda6455f4f54"
}
'import requests
url = "https://api-sandbox.circle.com/v1/businessAccount/banks/cubix"
payload = {
"idempotencyKey": "ba943ff1-ca16-49b2-ba55-1057e70ca5c7",
"accountId": "ff2212d7-8476-4d1e-9d95-eda6455f4f54"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
idempotencyKey: 'ba943ff1-ca16-49b2-ba55-1057e70ca5c7',
accountId: 'ff2212d7-8476-4d1e-9d95-eda6455f4f54'
})
};
fetch('https://api-sandbox.circle.com/v1/businessAccount/banks/cubix', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "b8627ae8-732b-4d25-b947-1df8f4007a29",
"status": "pending",
"trackingRef": "CIR25XSXT8",
"accountId": "ff2212d7-8476-4d1e-9d95-eda6455f4f54",
"transferTypesInfo": {
"cubix": {
"currencies": [
"USD"
]
}
},
"createDate": "2020-04-10T02:13:30.000Z",
"updateDate": "2020-04-10T02:13:30.000Z"
}
}{
"code": 400,
"message": "Bad request."
}{
"code": 401,
"message": "Malformed authorization."
}POST
/
v1
/
businessAccount
/
banks
/
cubix
Create a CUBIX bank account
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Universally unique identifier (UUID v4) idempotency key. This key is utilized to ensure exactly-once execution of mutating requests.
Example:
"ba943ff1-ca16-49b2-ba55-1057e70ca5c7"
Cubix Account ID.
Example:
"ff2212d7-8476-4d1e-9d95-eda6455f4f54"
Response
Successfully created a bank account for CUBIX transfers.
Show child attributes
Show child attributes
Was this page helpful?
⌘I